angular.module('ngApp').controller('PhotosCtrl', function($scope, $ionicModal, $ionicSlideBoxDelegate, $ionicScrollDelegate,$http,$sce) {
    
    $scope.content = '';

    $ionicModal.fromTemplateUrl('image-modal.html', function($ionicModal) {
        $scope.modal = $ionicModal;
    }, {
        scope: $scope,
        animation: 'slide-in-up',
		hardwareBackButtonClose: true
    }); 

    $scope.openModal = function(index) {
        $scope.modal.show();
        $ionicSlideBoxDelegate.update();
        $ionicSlideBoxDelegate.select(index);
        $scope.slideIndex = index;
    };

    $scope.closeModal = function() {
        $scope.modal.hide();
    };

    // Cleanup the modal when we're done with it!
    $scope.$on('$destroy', function() {
        $scope.modal.remove();
    });

    $scope.zoom = function(){
        if($scope.inZoom){
            $ionicScrollDelegate.$getByHandle('zoom-pane-'+$scope.slideIndex).zoomTo(1,true);
            $scope.inZoom = false;
        }else{
            $ionicScrollDelegate.$getByHandle('zoom-pane-'+$scope.slideIndex).zoomTo(2,true);
            $scope.inZoom = true;
        }
    }
      // Called each time the slide changes
    $scope.slideChanged = function(index) {
        if($scope.inZoom = true){
            $ionicScrollDelegate.$getByHandle('zoom-pane-' + $scope.slideIndex).zoomTo(1,true);
            $scope.inZoom = false;
        }
        $scope.slideIndex = index;
    };

    // Call this functions if you need to manually control the slides
    $scope.next = function() {
        $ionicSlideBoxDelegate.next();
    };

    $scope.previous = function() {
        $ionicSlideBoxDelegate.previous();
    };

    $scope.sharex = function(subject,imageID) {
        var image = document.getElementById(imageID).src;
        image = image.replace("file:///android_asset/", "");
        window.plugins.socialsharing.share(null, subject, image, null);
    }

    $scope.$watch('sl', function() {
        if(typeof($scope.sl) != 'undefined')
        {
            $scope.slideroptions = {
                loop: true,
                //autoHeight: true,
                autoplay: false,
            };

            $scope.loading = true;

            $http({method: 'GET',cache: true, noLoading : true, url: url + '/api/v1/widget/route/photos/getImages/' + $scope.sl})
            .success(function(data) {
                if(typeof(data.images[0].image) != 'undefined'){

                    $scope.images = data.images;
                    $scope.colClass = data.class;
                    $scope.share = data.share;
                    $scope.content = $sce.trustAsHtml(data.content);

                    $scope.slideroptions = {
                        loop: data.loop,
                    }
                }
                $scope.loading = false;
            })
            .error(function(){
                $scope.loading = false;
                checkYourInternet();
            });
        }
    });
});